extends VBoxContainer

func _update(arg):
	if arg.has('name'):
		$username.text = arg.name
	if arg.has('k'):
		$enemieskilled.text = 'enemies killed: ' + str(arg.k)
	if arg.has('hp'):
		$health.value = arg.hp
	if arg.has('xp'):
		$xp.value = arg.xp
